<script>

function changeCdcSpec(numFact, idLigne, pathUpdate, input, CODE_CHAMPS)
{
	numFact = String('000000000' + numFact).slice(-9)+String(idLigne);
	
	activeLoader();
	$.ajax({
		url : '{{ path('Specifique56.ajax.changeCdc') }}',
		type : 'POST',
		dataType : 'JSON',
		data: {'CODE_CDC' : $('#input_CODE_CDC-'+idLigne).val(), 'societe' : $('#societe').val(), 'allCS' : 1}, 
		success : function(json){
			if(json.si != ''){	
				$('#input_CODE_SI-'+idLigne).val(json.si).removeClass( "error white-tooltip" ).attr("data-original-title", '').trigger('change');
				$('#input_ID_CG-'+idLigne).val('').trigger('change');
				$('#text_ID_CG-'+idLigne).val('').removeClass( "error white-tooltip" ).attr("data-original-title", '').trigger('change');

				if(json.codeGestionSaisie)
				{
					$('#vide-'+idLigne).hide();
					$('#span_CG-'+idLigne).show();
					$('#CG_nonObligatoire-'+idLigne).val(json.codeGestionNonObligatoire);
				}
				else
				{
					$('#vide-'+idLigne).show();
					$('#span_CG-'+idLigne).hide();
					$('#CG_nonObligatoire-'+idLigne).val('0');
				}
			}
			if(json.sca != ''){	
				$('#input_CODE_SCA-'+idLigne).val(json.sca).removeClass( "error white-tooltip" ).attr("data-original-title", '').trigger('change');
			}

			for(i=0; i<json.CS.length; i++){
				if(json.CS[i]['VALEUR'] != ''){
					$('#input_CS_EXTENTIONdebut-----finFAC_LIGdebut-----fin'+numFact+'debut-----fin'+(json.CS[i]['csNum']).trim()).val(json.CS[i]['VALEUR']).trigger('change');
				}
			}
			desactiveLoader();
		}
	}); 
	
	if(pathUpdate!==undefined && pathUpdate)
	{
		updateDataBdd(pathUpdate, numFact, idLigne, input, CODE_CHAMPS)
	}
}
</script>